//	ＡＩＧライブラリ　基本関数：キー関数
//	Copyright (C) 1989-1995,98 by AIG-SOFT

#ifndef	__AIG_KEY__
#define	__AIG_KEY__	1

#include "deftype.h"

#ifdef  __cplusplus
// 95/11 : G++対応
extern  "C" {
#endif
#ifdef	__PROTO_TYPE
	int	binkey2(void);
	int	bgetch2(void);
	int	scanbit(int);
	int	kslow(void);
	int	getch2(int);
	int	inkey2(int,int);
	int	KeyIn2(int,int,int);
	int	getch3(int,int);
	int	keycmp(int,int);
	int	inkey(int);
	int	kywait(int);
	int	kywait2(int);
	int	bstol(int);
	int	BreakSns(void);
	int	kbclr(void);
	int	look_help(int);
	int	time_getch(int);
	int	ChkCTRLC(void);
	int	WaitTmKey(int);
	
	void	keysetc(int,unsint);
	void	kflush(void);
	void	help_set(unchar *,int);
	void	getch_mouse(_KEY_XY *,int,int);
	void	key_help(unchar *,int,unchar *);
	void	Kbclr(void);
#else
	int	binkey2();
	int	bgetch2();
	int	scanbit();
	int	kslow();
	int	getch2();
	int	inkey2();
	int	KeyIn2();
	int	getch3();
	int	keycmp();
	int	inkey();
	int	kywait();
	int	kywait2();
	int	bstol();
	int	BreakSns();
	int	kbclr();
	int	look_help();
	int	time_getch();
	int	ChkCTRLC();
	int	WaitTmKey();
	
	void	keysetc();
	void	kflush();
	void	help_set();
	void	getch_mouse();
	void	key_help();
	void	Kbclr();
#endif
#ifdef  __cplusplus
}
#endif

/* マクロ関数 */
#define	kflush()		while (B_KEYSNS()) B_KEYINP()
#define BreakSns()		(BITSNS(0x0c)&BIT1)
#ifdef KEYMACRO
#define	inkey2(mode,btn)	KeyIn2(1,mode,btn)
#define	getch2(mode)		KeyIn2(0,mode,0)
#endif

#endif
